<?php

namespace App\Http\Controllers\Api;
use App\Http\Controllers\Controller;
use App\Http\Requests\StoreHoraireRequest;
use App\Http\Resources\HoraireResource;
use App\Models\Horaire;
use Illuminate\Http\Request;

class HoraireController extends Controller
{
    public function index()
    {
        $horaires = Horaire::all();
        return HoraireResource::collection($horaires);
    }

    public function store(StoreHoraireRequest $request)
    {
        $horaire = Horaire::create($request->validated());
        return new HoraireResource($horaire);
    }

    public function show(Horaire $horaire)
    {
        return new HoraireResource($horaire);
    }

    public function update(StoreHoraireRequest $request, Horaire $horaire)
    {
        $horaire->update($request->validated());
        return new HoraireResource($horaire);
    }

    public function destroy(Horaire $horaire)
    {
        $horaire->delete();
        return response()->json(['message' => 'Horaire supprimé'], 200);
    }
}
